//
//  ShareTools.h
//  社会化分享
//
//  Created by SmartFun on 2017/2/24.
//  Copyright © 2017年 SmartFun. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <ShareSDK/ShareSDK.h>
#import <ShareSDKConnector/ShareSDKConnector.h>
//腾讯开放平台（对应QQ和QQ空间）SDK头文件
#import <TencentOpenAPI/TencentOAuth.h>
#import <TencentOpenAPI/QQApiInterface.h>
//微信SDK头文件
#import "WXApi.h"
//新浪微博SDK头文件
#import "WeiboSDK.h"
/**  ⚠️弃用  **/
typedef NS_ENUM(NSUInteger, SharePlatformTyped){
    /* QQzone平台 分享方式为链接  */
    SRTypeQQZoneForLink  =  0,
    SRTypeQQZoneForImgOrChar = 1,
    SRTypeQQFriendForLink = 2,
    SRTypeQQFriendForPicOrChar = 3,
    /* 注意: title content URL thumb 为必填参数*/
    SRTypeWechatFriendForLink = 4,
    /* !! title img 为必填参数 */
    SRTypeWechatFriendForImg = 5,
    SRTypeWeChatLineForLink = 6,
    SRTypeWeChatLineForImg = 7,
    SRTypeSinaWeibo = 8
};
//third login
typedef NS_ENUM(NSUInteger, SFLogin){
    SFLoginForQQ = 0,
    SFLoginForWechat = 1,
    SFLogonForSinaWeibo = 2
};
//outside method
typedef NS_ENUM(NSUInteger, SFSharePlatform){
    SFSharePlatformForQQFriend = 0,
    SFSharePlatformForQQZone = 1,
    SFSharePlatformForWechatFriend = 2,
    SFSharePlatformForWechatLine = 3,
    SFSharePlatformForSinaWeibo = 4
};

typedef NS_ENUM(NSUInteger, ErrorMessege)
{
    ErrorMessegeForCancel = 0,
    ErrorMessegeForFail = 1,
    ErrorMessegeForPlatformNotExsist = 2,
    ErrorMessegeForUnkown = 3
};

@interface ShareTools : NSObject

@property (nonatomic, assign, readonly) ErrorMessege error;

//初始化方法 必须调用.
+ (ShareTools *)manager;
/********************** !!⚠️已废弃!!  ***********************/
/**
 *  .method: 方法的唯一性 分享
 *  .paramas: 
 *      1.type: 分享平台
 *      2.title: 分享标题
 *      3.content: 分享正文
 *      4.thumImg: 分享图片(标题的)
 *      5.imgs: 图片数组(可选)
 *      6.URL: 链接网址
 *      7.success 分享成功回调  成功回调  state isEqualString  ShareSuccess
 *      8.fail 分享失败  失败回调 error 错误信息  errorMessege isEqualString ShareFail
 **/
//- (void)sharePlatform:(SharePlatformTyped)type Title:(NSString *)title Content:(NSString *)content ThumImg:(NSString *)img Images:(NSArray *)imgs Url:(NSString *)url Success:(void(^)(NSString *state))success Fail:(void(^)(NSError *,NSString *errorMessege))fail;

//9.0 or up

/* platform share */

/**
 *  分享方法 (链接分享模式)
 */
- (void)shareForLinkWithPlatform:(SFSharePlatform)type
                           Image:(NSString *)image
                           Title:(NSString *)title
                         Content:(NSString *)content
                             Url:(NSString *)url
                         Success:(void(^)(NSString *state))success
                            Fail:(void(^)(ErrorMessege code))fail;
// picture method

/**
 *  分享方法 (图片分享模式)
 */
- (void)shareForPicWithPlateform:(SFSharePlatform)type
                           Image:(NSArray *)image
                         Success:(void(^)(NSString *state))success
                            Fail:(void(^)(ErrorMessege code))fail;


/* 第三方登陆 */
- (void)thridLoginWithType:(SFLogin)type;

@end
