//
//  ShareTools.m
//  社会化分享
//
//  Created by SmartFun on 2017/2/24.
//  Copyright © 2017年 SmartFun. All rights reserved.
//

#import "ShareTools.h"
#import <ShareSDKExtension/SSEThirdPartyLoginHelper.h>

static NSString *errorForWechat = @"未安装微信";

#define share_appkey @""//自行注册
//sina weibo
static NSString *sina_appkey = @"";
static NSString *sina_appsecret = @"";
//wechat
static NSString *wx_appkey = @"";
static NSString *wx_appsecret = @"";
//QQ
static NSString *qq_appid = @"";
static NSString *qq_appkey = @"";
//QQzone
static NSString *qzone_appkey = @"";
static NSString *qzone_appsecret = @"";
//全局静态变量
static ShareTools *_manager;
@implementation ShareTools

+ (ShareTools *)manager{
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        _manager = [[ShareTools alloc] init];
    });
    return _manager;
}

#pragma mark - intilizer

- (instancetype)init{
    /*初始化友盟 以及 第三方平台*/
    [ShareSDK registerApp:share_appkey
          activePlatforms:@[@(SSDKPlatformTypeSinaWeibo),
                            @(SSDKPlatformTypeCopy),
                            @(SSDKPlatformTypeWechat),
                            @(SSDKPlatformTypeQQ)
                            ]
                 onImport:^(SSDKPlatformType platformType){
         
                     switch (platformType){
                         case SSDKPlatformTypeWechat:
                             [ShareSDKConnector connectWeChat:[WXApi class]];
                             break;
                         case SSDKPlatformTypeQQ:
                             [ShareSDKConnector connectQQ:[QQApiInterface class] tencentOAuthClass:[TencentOAuth class]];
                             break;
                         case SSDKPlatformTypeSinaWeibo:
                             [ShareSDKConnector connectWeibo:[WeiboSDK class]];
                             break;
                         default:
                             break;
                     }
                 }
          onConfiguration:^(SSDKPlatformType platformType, NSMutableDictionary *appInfo){
         
                     switch (platformType){
                         case SSDKPlatformTypeSinaWeibo:
                             //设置新浪微博应用信息,其中authType设置为使用SSO＋Web形式授权
                             [appInfo SSDKSetupSinaWeiboByAppKey:sina_appkey
                                           appSecret:sina_appsecret
                                         //回调地址  web
                                         redirectUri:@"http://www.baidu.com"
                                            authType:SSDKAuthTypeBoth];
                             break;
                         case SSDKPlatformTypeWechat:
                             [appInfo SSDKSetupWeChatByAppId:wx_appkey
                                       appSecret:wx_appsecret];
                             break;
                         case SSDKPlatformTypeQQ:
                             [appInfo SSDKSetupQQByAppId:qq_appid
                                      appKey:qq_appkey
                                    authType:SSDKAuthTypeSSO];
                             break;
                         default:
                             break;
                     }
                 }];
    return self;
}

#pragma mark - Main method

//- (void)sharePlatform:(SharePlatformTyped)type Title:(NSString *)title Content:(NSString *)content ThumImg:(NSString *)img Images:(NSArray *)imgs Url:(NSString *)url Success:(void(^)(NSString *state))success Fail:(void(^)(NSError *,NSString *errorMessege))fail{
//    switch (type) {
//        case SRTypeQQZoneForLink:
//            [self shareToQQZoneLinkPlatformWithTitle:title Content:content Url:url ThumbImg:img Success:(void(^)(NSString *state))success Fail:(void(^)(NSError *, NSString *errorMessege))fail];
//            break;
//        case SRTypeQQZoneForImgOrChar:
//            [self shareQQZonePicOrCharPlatformWithTitle:title Content:content Url:url Image:img Images:imgs Success:success Fail:fail];
//            break;
//        case SRTypeQQFriendForLink:
//            [self shareToQQFriendLinkPlatformWithTitle:title Content:content Url:url ThumbImg:img Success:success Fail:fail];
//            break;
//        case SRTypeQQFriendForPicOrChar:
//            [self shareQQFriendPicOrCharPlatformWithTitle:title Content:content Url:url Image:img Images:imgs Success:success Fail:fail];
//            break;
//        case SRTypeWechatFriendForLink:
//            [self sharetowechatfriendForLinkWithTitle:title Content:content Url:url Image:img Success:success Fail:fail];
//            break;
//        case SRTypeWechatFriendForImg:
//            [self sharetowechatfriendForImgWithTitle:title Image:img Success:success Fail:fail];
//            break;
//        case SRTypeWeChatLineForLink:
//            [self sharetowechatLineWithTitle:title Content:content Url:url Image:img Success:success Fail:fail];
//            break;
//        case SRTypeWeChatLineForImg:
//            [self sharewechatlineForImgTitle:title Image:img Success:success Fail:fail];
//            break;
//        case SRTypeSinaWeibo:
//            [self sharetoWeiboTitle:title Content:content Image:img Url:url Success:success Fail:fail];
//            break;
//        default:
//            break;
//    }
//}

#pragma mark - New Main Method
- (void)shareForLinkWithPlatform:(SFSharePlatform)type
                           Image:(NSString *)image
                           Title:(NSString *)title
                         Content:(NSString *)content
                             Url:(NSString *)url
                         Success:(void(^)(NSString *state))success
                            Fail:(void(^)(ErrorMessege code))fail
                        {
                            switch (type) {
        
                                case SFSharePlatformForWechatFriend:
             
                                    [self sharetowechatfriendForLinkWithTitle:title Content:content Url:url Image:image Success:success Fail:fail];
                                    
                                    break;
        
                                case SFSharePlatformForWechatLine:
                                    
                                    [self sharetowechatLineWithTitle:title Content:content Url:url Image:image Success:success Fail:fail];
            
                                    break;
        
                                case SFSharePlatformForQQZone:
            
                                    [self shareToQQZoneLinkPlatformWithTitle:title Content:content Url:url ThumbImg:image Success:success Fail:fail];
                                    
                                    break;
            
                                case SFSharePlatformForQQFriend:
            
                                    [self shareToQQFriendLinkPlatformWithTitle:title Content:content Url:url ThumbImg:image Success:success Fail:fail];
                                    
                                    break;
        
                                case SFSharePlatformForSinaWeibo:
            
                                    [self sharetoWeiboTitle:title Content:content Image:image Url:url Success:success Fail:fail];
                                    
                                    break;
            
                                default:
            
                                    break;
                            }
                        }


- (void)shareForPicWithPlateform:(SFSharePlatform)type
                           Image:(NSArray *)image
                         Success:(void (^)(NSString *))success
                            Fail:(void (^)(ErrorMessege code))fail
{
    switch (type) {
        
        case SFSharePlatformForWechatFriend:
            
            [self sharetowechatfriendForImgWithTitle:nil Image:[image objectAtIndex:0] Success:success Fail:fail];
            
            break;
            
        case SFSharePlatformForWechatLine:
            
            [self sharewechatlineForImgTitle:nil Image:[image objectAtIndex:0] Success:success Fail:fail];
            
            break;
            
        case SFSharePlatformForQQZone:
            
            [self shareQQZonePicOrCharPlatformWithTitle:nil Content:nil Url:nil Image:nil Images:image Success:success Fail:fail];
            
            break;
            
        case SFSharePlatformForQQFriend:
          
            [self shareQQFriendPicOrCharPlatformWithTitle:nil Content:nil Url:nil Image:nil Images:image Success:success Fail:fail];
            
            break;
            
        case SFSharePlatformForSinaWeibo:
          
            [self sharetoweiboPic:[image objectAtIndex:0] Success:success Fail:fail];
            
            break;
            
        default:
            
            break;
    }


}

#pragma mark - Wechat
#pragma mark - wechat 分享到微信好友链接

- (void)sharetowechatfriendForLinkWithTitle:(NSString *)title Content:(NSString *)content Url:(NSString *)url Image:(NSString *)img Success:(void(^)(NSString *state))success Fail:(void(^)(ErrorMessege code))fail{
    
//    NSError *error = nil;
    
    //检测微信
    if (![WXApi isWXAppInstalled]){
        fail(ErrorMessegeForPlatformNotExsist);
        return;
    }
    
    //创建分享参数
    NSMutableDictionary *shareParams = [NSMutableDictionary dictionary];
    [shareParams SSDKSetupWeChatParamsByText:content title:title url:[NSURL URLWithString:url] thumbImage:[UIImage imageNamed:img] image:nil musicFileURL:nil extInfo:nil fileData:nil emoticonData:nil type:SSDKContentTypeWebPage forPlatformSubType:SSDKPlatformSubTypeWechatSession];
    
    //进行分享
    [ShareSDK share:SSDKPlatformTypeWechat //传入分享的平台类型
         parameters:shareParams
     onStateChanged:^(SSDKResponseState state, NSDictionary *userData, SSDKContentEntity *contentEntity, NSError *error) {
         switch (state) {
             case SSDKResponseStateSuccess:
                 success(@"ShareSuccess");
                 break;
             case SSDKResponseStateFail:
                 fail(ErrorMessegeForFail);
                 break;
             case SSDKResponseStateCancel:
                 fail(ErrorMessegeForCancel);
                 break;
             default:
                 break;
         }
         
         if (error) {
             fail(ErrorMessegeForUnkown);
         }
        
     }];
    
}

#pragma mark -  wechat 分享到朋友圈的链接

- (void)sharetowechatLineWithTitle:(NSString *)title Content:(NSString *)content Url:(NSString *)url Image:(NSString *)img Success:(void(^)(NSString *state))success Fail:(void(^)(ErrorMessege code))fail{
    
//    NSError *error = nil;
    
    //检测微信
    if (![WXApi isWXAppInstalled]){
        fail(ErrorMessegeForPlatformNotExsist);
        return;
    }
    
    NSMutableDictionary *shareParams = [NSMutableDictionary dictionary];
    [shareParams SSDKSetupShareParamsByText:content
                                     images:[UIImage imageNamed:img]
                                        url:[NSURL URLWithString:url]
                                      title:title
                                       type:SSDKContentTypeWebPage];
    
    //进行分享
    [ShareSDK share:SSDKPlatformSubTypeWechatTimeline
         parameters:shareParams
     onStateChanged:^(SSDKResponseState state, NSDictionary *userData, SSDKContentEntity *contentEntity, NSError *error) {
         switch (state) {
             case SSDKResponseStateSuccess:
                 success(@"ShareSuccess");
                 break;
             case SSDKResponseStateFail:
                 fail(ErrorMessegeForFail);
                 break;
             case SSDKResponseStateCancel:
                 fail(ErrorMessegeForCancel);
                 break;
             default:
                 break;
         }
         
         if (error) {
             fail(ErrorMessegeForUnkown);
         }
         
     }];
    
}


#pragma mark - QQZone 分享链接

//这个方法 title url thumbimg !!不能为空 亲测 详细见官方文档
- (void)shareToQQZoneLinkPlatformWithTitle:(NSString *)title Content:(NSString *)content Url:(NSString *)url ThumbImg:(NSString *)img Success:(void(^)(NSString *state))success Fail:(void(^)(ErrorMessege code))fail{
    if (![QQApiInterface isQQInstalled]) {
        return;
    }
    //分享参数 字典类型
    NSMutableDictionary *parames = [NSMutableDictionary dictionary];
    //设置分享参数 --QQ空间分享参数
    [parames SSDKSetupQQParamsByText:content title:title url:[NSURL URLWithString:url] thumbImage:[UIImage imageNamed:img] image:nil type:SSDKContentTypeWebPage forPlatformSubType:SSDKPlatformSubTypeQZone];
    //分享
    [ShareSDK share:SSDKPlatformSubTypeQZone parameters:parames onStateChanged:^(SSDKResponseState state, NSDictionary *userData, SSDKContentEntity *contentEntity, NSError *error) {
        switch (state) {
            case SSDKResponseStateSuccess:
                success(@"ShareSuccess");
                break;
            case SSDKResponseStateFail:
                fail(ErrorMessegeForFail);
                break;
            case SSDKResponseStateCancel:
                fail(ErrorMessegeForCancel);
                break;
            default:
                break;
        }
        
        if (error) {
            fail(ErrorMessegeForUnkown);
        }
        
    }];
}

#pragma mark - QQZone 分享图片或文字

- (void)shareQQZonePicOrCharPlatformWithTitle:(NSString *)title Content:(NSString *)content Url:(NSString *)url Image:(NSString *)img Images:(NSArray *)imgs Success:(void(^)(NSString *state))success Fail:(void(^)(ErrorMessege code))fail{
    
    NSMutableDictionary *parames = [NSMutableDictionary dictionary];
    
    // 纯图片
    [parames SSDKSetupQQParamsByText:nil title:nil url:nil audioFlashURL:nil videoFlashURL:nil thumbImage:nil images:imgs type:SSDKContentTypeImage forPlatformSubType:SSDKPlatformSubTypeQZone];
        
    [ShareSDK share:SSDKPlatformSubTypeQZone parameters:parames onStateChanged:^(SSDKResponseState state, NSDictionary *userData, SSDKContentEntity *contentEntity, NSError *error)
    {
            switch (state)
        {
                case SSDKResponseStateSuccess:
                    success(@"ShareSuccess");
                    break;
                case SSDKResponseStateFail:
                    fail(ErrorMessegeForFail);
                    break;
                case SSDKResponseStateCancel:
                    fail(ErrorMessegeForCancel);
                    break;
                default:
                    break;
        }
        
        if (error) {
            fail(ErrorMessegeForPlatformNotExsist);
        }
        
        
    }];

}

#pragma mark - 分享到QQ好友 link

- (void)shareToQQFriendLinkPlatformWithTitle:(NSString *)title Content:(NSString *)content Url:(NSString *)url ThumbImg:(NSString *)img Success:(void(^)(NSString *state))success Fail:(void(^)(ErrorMessege code))fail{
    if (![QQApiInterface isQQInstalled]) {
        return;
    }
    //分享参数 字典类型
    NSMutableDictionary *parames = [NSMutableDictionary dictionary];
    //设置分享参数 --QQ空间分享参数
    [parames SSDKSetupQQParamsByText:content title:title url:[NSURL URLWithString:url] thumbImage:[UIImage imageNamed:img] image:nil type:SSDKContentTypeWebPage forPlatformSubType:SSDKPlatformSubTypeQQFriend];
    //分享
    [ShareSDK share:SSDKPlatformSubTypeQQFriend parameters:parames onStateChanged:^(SSDKResponseState state, NSDictionary *userData, SSDKContentEntity *contentEntity, NSError *error) {
        switch (state) {
            case SSDKResponseStateSuccess:
                success(@"ShareSuccess");
                break;
            case SSDKResponseStateFail:
                fail(ErrorMessegeForFail);
                break;
            case SSDKResponseStateCancel:
                fail(ErrorMessegeForCancel);
                break;
            default:
                break;
        }
        
        if (error) {
            fail(ErrorMessegeForPlatformNotExsist);
        }
    }];
}

#pragma mark - 分享到QQ好友 文字或图片

- (void)shareQQFriendPicOrCharPlatformWithTitle:(NSString *)title Content:(NSString *)content Url:(NSString *)url Image:(NSString *)img Images:(NSArray *)imgs Success:(void(^)(NSString *state))success Fail:(void(^)(ErrorMessege code))fail{
    NSMutableDictionary *parames = [NSMutableDictionary dictionary];
    //情况二 纯图片

    [parames SSDKSetupQQParamsByText:nil title:nil url:nil thumbImage:nil image:[UIImage imageNamed:[imgs objectAtIndex:0]] type:SSDKContentTypeImage forPlatformSubType:SSDKPlatformSubTypeQQFriend];
        
    [ShareSDK share:SSDKPlatformSubTypeQQFriend parameters:parames onStateChanged:^(SSDKResponseState state, NSDictionary *userData, SSDKContentEntity *contentEntity, NSError *error) {
    
        switch (state) {
                case SSDKResponseStateSuccess:
                    success(@"ShareSuccess");
                    break;
                case SSDKResponseStateFail:
                    fail(ErrorMessegeForFail);
                    break;
                case SSDKResponseStateCancel:
                    fail(ErrorMessegeForCancel);
                    break;
                default:
                    break;
            }
        
        if (error) {
            fail(ErrorMessegeForPlatformNotExsist);
        }
        }];
    
}

#pragma mark -  wechat 分享到微信好友 图片

- (void)sharetowechatfriendForImgWithTitle:(NSString *)title Image:(NSString *)img Success:(void(^)(NSString *state))success Fail:(void(^)(ErrorMessege code))fail{
    
    NSMutableDictionary *params = [NSMutableDictionary dictionary];
    
//    NSString *extensionName = img;
    
//    if ([extensionName.lowercaseString isEqualToString:@"gif"]) {
       //如果为gif图片则需要填写title和emoticonData参数
    
    
    if ([[img substringToIndex:4] isEqualToString:@"http"]) {
        [params SSDKSetupWeChatParamsByText:nil title:title url:nil thumbImage:nil image:[NSURL URLWithString:img] musicFileURL:nil extInfo:nil fileData:nil emoticonData:nil type:SSDKContentTypeImage forPlatformSubType:SSDKPlatformSubTypeWechatSession];
    }else{
        
         [params SSDKSetupWeChatParamsByText:nil title:title url:nil thumbImage:nil image:[UIImage imageNamed:img] musicFileURL:nil extInfo:nil fileData:nil emoticonData:nil type:SSDKContentTypeImage forPlatformSubType:SSDKPlatformSubTypeWechatSession];
        
//        [params SSDKSetupWeChatParamsByText:nil title:title url:nil thumbImage:nil image:img musicFileURL:nil extInfo:nil fileData:nil emoticonData:nil sourceFileExtension:nil sourceFileData:nil type:SSDKContentTypeImage forPlatformSubType:SSDKPlatformSubTypeWechatSession];
    }

    
//    } else {
//       [params SSDKSetupWeChatParamsByText:nil title:title url:nil thumbImage:nil image:[UIImage imageNamed:img]  musicFileURL:nil extInfo:nil fileData:nil emoticonData:nil sourceFileExtension:nil sourceFileData:nil type:SSDKContentTypeImage forPlatformSubType:SSDKPlatformSubTypeWechatSession];
//    }
    
    [ShareSDK share:SSDKPlatformSubTypeWechatSession parameters:params onStateChanged:^(SSDKResponseState state, NSDictionary *userData, SSDKContentEntity *contentEntity, NSError *error) {
        switch (state) {
            case SSDKResponseStateSuccess:
                success(@"ShareSuccess");
                break;
            case SSDKResponseStateFail:
                fail(ErrorMessegeForFail);
                break;
            case SSDKResponseStateCancel:
                fail(ErrorMessegeForCancel);
                break;
            default:
                break;
        }
        if (error) {
            fail(ErrorMessegeForUnkown);
        }
        
    }];
    
}

#pragma mark - wechat 分享到朋友圈 图片

- (void)sharewechatlineForImgTitle:(NSString *)title Image:(NSString *)img Success:(void(^)(NSString *state))success Fail:(void(^)(ErrorMessege code))fail{
    
    NSMutableDictionary *shareParams = [NSMutableDictionary dictionary];
    [shareParams SSDKSetupShareParamsByText:nil
                                     images:[UIImage imageNamed:img]
                                        url:nil
                                      title:title
                                       type:SSDKContentTypeImage];
    //进行分享
    [ShareSDK share:SSDKPlatformSubTypeWechatTimeline
         parameters:shareParams
     onStateChanged:^(SSDKResponseState state, NSDictionary *userData, SSDKContentEntity *contentEntity, NSError *error) {
         switch (state) {
             case SSDKResponseStateSuccess:
                 success(@"ShareSuccess");
                 break;
             case SSDKResponseStateFail:
                 fail(ErrorMessegeForFail);
                 break;
             case SSDKResponseStateCancel:
                 fail(ErrorMessegeForCancel);
                 break;
             default:
                 break;
         }
         
         if (error) {
             fail(ErrorMessegeForUnkown);
         }
     }];

}

#pragma mark - 微博分享

- (void)sharetoWeiboTitle:(NSString *)title Content:(NSString *)content Image:(NSString *)img Url:(NSString *)url Success:(void(^)(NSString *state))success Fail:(void(^)(ErrorMessege code))fail{
   
    if (![[UIApplication sharedApplication] canOpenURL:[NSURL URLWithString:@"weibo://"]]){
        NSLog(@"没安装了新浪客户端");
    }

    //创建分享参数
    NSMutableDictionary *shareParams = [NSMutableDictionary dictionary];
    
    [shareParams SSDKEnableUseClientShare];
    
    [shareParams SSDKSetupSinaWeiboShareParamsByText:content title:title image:[UIImage imageNamed:img] url:[NSURL URLWithString:url] latitude:0.00 longitude:0.00 objectID:nil type:SSDKContentTypeWebPage];
    
    //进行分享
    [ShareSDK share:SSDKPlatformTypeSinaWeibo //传入分享的平台类型
         parameters:shareParams
     onStateChanged:^(SSDKResponseState state, NSDictionary *userData, SSDKContentEntity *contentEntity, NSError *error) {
         
     }];

}

- (void)sharetoweiboPic:(NSString *)image Success:(void(^)(NSString *state))success Fail:(void(^)(ErrorMessege code))fail{
   
    if (![[UIApplication sharedApplication] canOpenURL:[NSURL URLWithString:@"weibo://"]]){
        NSLog(@"没安装了新浪客户端");
    }
    
    //创建分享参数
    NSMutableDictionary *shareParams = [NSMutableDictionary dictionary];
    
    [shareParams SSDKEnableUseClientShare];
    
    [shareParams SSDKSetupSinaWeiboShareParamsByText:nil title:nil image:[UIImage imageNamed:image] url:nil latitude:0.00 longitude:0.00 objectID:nil type:SSDKContentTypeImage];
    
    //进行分享
    [ShareSDK share:SSDKPlatformTypeSinaWeibo //传入分享的平台类型
         parameters:shareParams
     onStateChanged:^(SSDKResponseState state, NSDictionary *userData, SSDKContentEntity *contentEntity, NSError *error) {
         
     }];
    

}


//- (void)shareQQTitle:(NSString *)title{
//
//    //创建分享参数
//    NSMutableDictionary *shareParams = [NSMutableDictionary dictionary];
//    
////    [shareParams SSDKSetupShareParamsByText:@"nihao" images:nil url:[NSURL URLWithString:@"http://www.mob.com"] title:@"heh" type:SSDKContentTypeAuto];
//    [shareParams SSDKSetupQQParamsByText:@"haha" title:@"gaga" url:[NSURL URLWithString:@"https://www.mob.com"] thumbImage:nil image:nil type:SSDKContentTypeAuto forPlatformSubType:SSDKPlatformSubTypeQQFriend];
//    
////    [shareParams SSDKSetupQQParamsByText:@"nihao" title:@"你好" url:nil thumbImage:nil image:nil type:SSDKContentTypeAuto forPlatformSubType:SSDKPlatformTypeQQ];
//    
//    //进行分享
//    [ShareSDK share:SSDKPlatformSubTypeQQFriend //传入分享的平台类型
//         parameters:shareParams
//     onStateChanged:^(SSDKResponseState state, NSDictionary *userData, SSDKContentEntity *contentEntity, NSError *error) {
//         
//     }];
//}
//

#pragma mark - 第三方登陆
- (void)thridLoginWithType:(SFLogin)type{
    
    if (type == SFLoginForQQ) {
        
        [ShareSDK getUserInfo:SSDKPlatformTypeQQ
               onStateChanged:^(SSDKResponseState state, SSDKUser *user, NSError *error)
         {
             if (state == SSDKResponseStateSuccess)
             {
                 
                 NSLog(@"uid=%@",user.uid);
                 NSLog(@"%@",user.credential);
                 NSLog(@"token=%@",user.credential.token);
                 NSLog(@"nickname=%@",user.nickname);
             }
    
             else
             {
                 NSLog(@"%@",error);
             }
             
         }];
    }else if (type == SFLoginForWechat){
        [ShareSDK getUserInfo:SSDKPlatformTypeWechat
               onStateChanged:^(SSDKResponseState state, SSDKUser *user, NSError *error)
         {
             if (state == SSDKResponseStateSuccess)
             {
                 
                 NSLog(@"uid=%@",user.uid);
                 NSLog(@"%@",user.credential);
                 NSLog(@"token=%@",user.credential.token);
                 NSLog(@"nickname=%@",user.nickname);
             }
             
             else
             {
                 NSLog(@"%@",error);
             }
             
         }];

    } else if (type == SFLogonForSinaWeibo){
        [ShareSDK getUserInfo:SSDKPlatformTypeSinaWeibo
               onStateChanged:^(SSDKResponseState state, SSDKUser *user, NSError *error)
         {
             if (state == SSDKResponseStateSuccess)
             {
                 
                 NSLog(@"uid=%@",user.uid);
                 NSLog(@"%@",user.credential);
                 NSLog(@"token=%@",user.credential.token);
                 NSLog(@"nickname=%@",user.nickname);
             }
             
             else
             {
                 NSLog(@"%@",error);
             }
             
         }];

    }else{
        return;
    }
    
    
  

    
    
//    [SSEThirdPartyLoginHelper loginByPlatform:SSDKPlatformTypeQQ
//                                   onUserSync:^(SSDKUser *user, SSEUserAssociateHandler associateHandler) {
//                                       
//                                       //在此回调中可以将社交平台用户信息与自身用户系统进行绑定，最后使用一个唯一用户标识来关联此用户信息。
//                                       //在此示例中没有跟用户系统关联，则使用一个社交用户对应一个系统用户的方式。将社交用户的uid作为关联ID传入associateHandler。
//                                       associateHandler (user.uid, user, user);
//                                       NSLog(@"dd%@",user.rawData);
//                                       NSLog(@"dd%@",user.credential);
//                                       
//                                   }
//                                onLoginResult:^(SSDKResponseState state, SSEBaseUser *user, NSError *error) {
//                                    
//                                    if (state == SSDKResponseStateSuccess)
//                                    {
//                                        
//                                    }
//                                    
//                                }];
    
    
}



@end
